<?php

namespace App\Http\Controllers\Api;
use App\Http\Controllers\Api\ApiBaseController;
use App\Http\Resources\ItemsCollection;
use App\Repository\ItemRepositoryInterface;
use Illuminate\Http\Request;
class ItemController extends ApiBaseController {



    private $itemRepository;

    public function __construct(ItemRepositoryInterface $itemRepository)
    {
        $this->itemRepository = $itemRepository;
    }

    public function index()
    {
        $items = $this->itemRepository->all();
        return new ItemsCollection($items);

    }



}
