<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/




Route::group(['namespace' => 'Api','middleware'=>'dologin'], function () {

    //cart routes

    Route::resource('cart',"CartController");
    //home page ....get items
    Route::get('/items','ItemController@index');
    Route::post('/update_cart/{cart_id}','CartController@update_cart');
    Route::post('/remove_from_cart/{cart_id}','CartController@remove_from_cart');


    //payment page


    Route::post('/save_order','OrderController@save_order');






});
